class SongsController < ApplicationController
  before_filter :grab_album_from_album_id

  def index
    @songs = songs.all
  end

  protected
  def songs
    @album ? @album.songs : Song
  end

  def grab_album_from_album_id
    if params[:album_id]
      @album = Album.find(params[:album_id])
    end
  end
end
